#ifndef TRACER_H_INCLUDED
#define TRACER_H_INCLUDED

#include "timer.h"
#include "settings.h"

class Tracer
{
private:
   char  *ivName;
#ifdef TOOLKIT_TIMING
   Timer ivTimer;
#endif

public:
   Tracer(char *pName);
   ~Tracer(void);

#ifdef TOOLKIT_SELFTEST
   static RetCode selfTest(void);
#endif
};

#endif  // TRACER_H_INCLUDED